<?php

    use \PFBC\Form;
    use \PFBC\Element;
    use \PFBC\View;
    use \PFBC\Validation;

?>
<!doctype html>
<html lang="ru">
<head>
  <meta charset="utf-8" />
  <title>Комплексный мониторинг кафедр</title>

  <link rel="stylesheet" href="/css/jquery-ui.css" />
  <link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/bootstrap.min.js"></script>

  <script src="/js/jquery.form.js"></script>

  <link rel="stylesheet" href="/css/base.css" />
  <link rel="stylesheet" href="/css/guest.css" />


  <script type="text/javascript">

    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>

  <script src="/js/main.js?rand=<?=rand();?>"></script>
  <script src="/js/auth.js?rand=<?=rand();?>"></script>

</head>

<body>

<?php
    $currentDatetime = new \DateTime();
    $stopDatetime = new \DateTime("2013-12-28");
?>

<?php if (false && $currentDatetime >= $stopDatetime): ?>
<div class="main-page">
    <h1 class="main-page__heading">Сбор данных за период 20.11 — 20.12 завершен</h1>
    <div class="main-page__content">Спасибо за участие!</div>
    <div class="main-page__content">
      <div class="main-page__content__text">Мы ответим на ваши вопросы по адресу <a href="complexRating@herzen.spb.ru">complexRating@herzen.spb.ru</a> (Александр Владимирович Тихомиров).</div>
      <div class="main-page__content__text">Работа с формой в январе будет определяться <a href="http://www.herzen.spb.ru/main/innovation/1378796720/">регламентом</a>.</div>
    </div>
</div>

<?php endif; ?>


<?php
    $formName = "auth";
    $form = new Form($formName);
    $form->configure(array(
        "prevent" => array("jQuery","jQueryUI","bootstrap")
        , "method" => "post"
        , "ajax" => 1
        , "ajaxCallback" => "parseAuthResponse"
        , "novalidate" => true
        , "action" => "/auth.php"
        , "class" => "authbox"
        , "view" => new View\Vertical()
    ));

    $form->addElement(new Element\Hidden("act", "login"));


    $formLabel = "Комплексный мониторинг кафедр";

    $form->addElement(new Element\Hidden("form", $formName));
    $form->addElement(new Element\HTML('<legend>' . $formLabel . '</legend>'));

    $form->addElement(new Element\HTML('<div class="authbox__username">'));
    $form->addElement(new Element\Textbox("Электронная учетная запись сотрудника университета", "username", array('placeholder' => 'Например, ivanov')));
        $form->addElement(new Element\HTML('</div>'));

    $form->addElement(new Element\HTML('<div class="authbox__password">'));
    $form->addElement(new Element\Password("Пароль", "password", array()));
    $form->addElement(new Element\HTML('</div>'));

    $form->addElement(new Element\HTML('<div><a href="http://manage.herzen.spb.ru/user/selfregister.php">Зарегистрироваться или сменить пароль</a></div>'));

    $form->addElement(new Element\HTML('<div class="authbox__output" id="authbox__output"></div>'));

    $form->addElement(new Element\HTML('<div class="authbox__submit">'));
    $form->addElement(new Element\Button('Войти', "submit"));
    $form->addElement(new Element\HTML('<div class="logo-login"></div></div>'));

    $form->render();
?>

<?php $this->renderCounters(); ?>

</body>
</html>
